-- --------------------------------------------------------------------------
--  $Revision: 931 $ $Date: 2010-01-24 22:32:37 +0100 (Sun, 24 Jan 2010) $
-- --------------------------------------------------------------------------

-- |
--
-- Module      :  Encode.Arabic
-- Copyright   :  Otakar Smrz 2005-2010
-- License     :  GPL
--
-- Maintainer  :  otakar.smrz mff.cuni.cz
-- Stability   :  provisional
-- Portability :  portable
--
-- The Haskell version of /Encode::Arabic/ originally written in Perl:
-- <http://search.cpan.org/dist/Encode-Arabic/>
--
-- "Encode.Arabic.ArabTeX"
-- "Encode.Arabic.ArabTeX.ZDMG"
-- "Encode.Arabic.Buckwalter"


module Encode.Arabic (

        -- * Modules

        module Encode.Arabic.ArabTeX,
        module Encode.Arabic.ArabTeX.ZDMG,
        module Encode.Arabic.Buckwalter,
        module Encode.Arabic.Byte,

        module Encode.Unicode

    ) where


import Encode

import Encode.Arabic.ArabTeX
import Encode.Arabic.ArabTeX.ZDMG
import Encode.Arabic.Buckwalter
import Encode.Arabic.Byte

import Encode.Unicode

import Version

version = Encode.version
