-- --------------------------------------------------------------------------
--  $Revision: 931 $ $Date: 2010-01-24 22:32:37 +0100 (Sun, 24 Jan 2010) $
-- --------------------------------------------------------------------------

-- |
--
-- Module      :  Encode.Unicode
-- Copyright   :  Otakar Smrz 2005-2010
-- License     :  GPL
--
-- Maintainer  :  otakar.smrz mff.cuni.cz
-- Stability   :  provisional
-- Portability :  portable
--
-- The Haskell analogy to the /Encode::Unicode/ module in Perl:
-- <http://search.cpan.org/dist/Encode/>
--
-- "Encode.Unicode.UTF8"


module Encode.Unicode (

        -- * Modules

        module Encode.Unicode.UTF8,

        module Encode,

        -- * Types

        Unicode (..)

    ) where


import Encode

import Encode.Unicode.UTF8

import Version

version = Encode.version


data Unicode = Unicode | UCS

    deriving (Enum, Show)


instance Encoding Unicode
